Home page logo
/

bugtraq logo Bugtraq mailing list archives

Cross-Site Scripting and Local File Inclusion in Phorum
From: Meftun () MeftunNet Com
Date: 27 Jul 2006 11:00:27 -0000

Some vulnerabilities have been discovered in Phorum, which can be exploited by malicious people to conduct cross-site 
scripting attacks, disclose sensitive information, and potentially compromise a vulnerable system. 


1) Input passed to the "template" parameter in pm.php isn't properly verified, before it is used to include files. This 
can be exploited to include arbitrary files from local resources.

Example:
http://[host]/pm.php?1,page=1&template=[file]%00



Another unspecified parameter is reportedly also affected. 


Successful exploitation requires that "register_globals" is enabled and that "magic_quotes_gpc" is disabled.

This can further be exploited to include arbitrary PHP code injected into Apache web logs.

2) Input passed to the "mode" parameter in posting.php isn't properly sanitised before being returned to the user. This 
can be exploited to execute arbitrary HTML and script code in a user's browser session in context of an affected site.

The vulnerabilities have been confirmed in version 5.1.14. Prior versions may also be affected.



 

Solution:
Update to version 5.1.15.
http://www.phorum.org/downloads.php


  By Date           By Thread  

Current thread:
  • Cross-Site Scripting and Local File Inclusion in Phorum Meftun (Jul 27)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]